
using UnityEngine;

[CreateAssetMenu(fileName = "X2Bonus", menuName = "Bonuses/x2 Bonus")]
public class X2Bonus : BonusEffect
{
    public override void Activate(GameObject player)
    {
        if (GameManager.Instance != null)
        {
            GameManager.Instance.SetScoreMultiplier(2);
        }
    }

    public override void Deactivate(GameObject player)
    {
        if (GameManager.Instance != null)
        {
            GameManager.Instance.SetScoreMultiplier(1);
        }
    }
}
